Bookmark Me | RSS | RSS | Comments RSS

Version Conflict of .NET Framework in IIS

Monday, February 16, 2009

Another point to share. Of course I delayed the publishing.

While I was migrating the YAFNET forum from my machine (WinXP with SQL Server 2005 Express), to a machine with Win2K3 and SQL Server 2000, I faced another issue. The first issue was of migrating SQL Server 2005 Express database to SQL Server 2000 database. The next issue is of conflict of versions of .NET in IIS. The target machine was hosting few web applications developed on .NET 1.1 and was running fine. I created a site for the YAFNET application and in the properties, set the .NET version as 2.0. So far so good. The site started up with ease, no problem reported and started running.

Next day I saw a weird issue. The site reported that the application have failed. Soon I realised that there is an issue with the versions. I created a new application pool on the IIS and moved the YAFNET site from the existing pool to the new one. The site came back to life and running!

Tags: ,
Filed Under: ASP.NET

Add comment

biuquote
Loading